"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
// @ts-ignore
const compile_1 = __importDefault(require("@hyext/compile"));
// @ts-ignore
const metro_react_native_babel_transformer_1 = __importDefault(require("metro-react-native-babel-transformer"));
module.exports = {
    transform: function (args, registryPath, assetPlugins) {
        let { src, filename, options, plugins = [] } = args;
        //处理业务代码
        if (filename.indexOf("node_modules") < 0) {
            if (filename.endsWith(".css") || filename.endsWith(".hycss")) {
                return metro_react_native_babel_transformer_1.default.transform({
                    src: compile_1.default.feature.transformCss2Js(src, filename, options, plugins),
                    filename,
                    options,
                    plugins,
                });
            }
            if (filename.endsWith(".js") ||
                filename.endsWith(".jsx") ||
                filename.endsWith(".tsx") ||
                filename.endsWith(".ts")) {
                src = compile_1.default.feature.transformStylesheet(src, filename, options, plugins);
            }
        }
        else {
            if (filename.endsWith(".css") || filename.endsWith(".hycss")) {
                return metro_react_native_babel_transformer_1.default.transform({
                    src: compile_1.default.feature.transformCss2Js(src, filename, options, plugins),
                    filename,
                    options,
                    plugins,
                });
            }
        }
        return metro_react_native_babel_transformer_1.default.transform({ src, filename, options, plugins });
    },
};
